package com.adventurer_engine.client.hud;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import atv;
import avk;
import bdi;
import bex;
import bjo;
import com.adventurer_engine.client.hud.HUDAmmoSelect;
import com.adventurer_engine.client.hud.HUDCalendar;
import com.adventurer_engine.client.hud.HUDPlayTitle;
import com.adventurer_engine.client.hud.IGuiHUDBase;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import java.util.ArrayList;
import net.minecraftforge.client.event.RenderGameOverlayEvent;
import net.minecraftforge.common.MinecraftForge;
import net.minecraftforge.event.ForgeSubscribe;

@SideOnly(Side.CLIENT)
public class HUDEngine {
  private static ArrayList<IGuiHUDBase> allHUD = new ArrayList<IGuiHUDBase>();
  
  public HUDEngine() {
    MinecraftForge.EVENT_BUS.register(this);
  }
  
  @ForgeSubscribe
  public void renderHUD(RenderGameOverlayEvent event) {
    atv mc = atv.w();
    bdi bdi = mc.h;
    bjo hudTexture = null;
    for (IGuiHUDBase hud : allHUD) {
      if (!hud.canDisplay((bex)bdi))
        continue; 
      hudTexture = hud.getTexture((bex)bdi);
      mc.C.a(hud.getHUDName());
      if (hudTexture != null)
        mc.J().a(hudTexture); 
      hud.display((bex)bdi, event.resolution);
      mc.C.b();
      mc.J().a(avk.m);
    } 
  }
  
  public static HUDAmmoSelect HUD_ammoSelect = new HUDAmmoSelect();
  
  public static HUDPlayTitle HUD_playTitle = new HUDPlayTitle();
  
  public static HUDCalendar HUD_calendar = new HUDCalendar();
  
  public static void registerHUD() {
    allHUD.add(HUD_ammoSelect);
    allHUD.add(HUD_playTitle);
    allHUD.add(HUD_calendar);
    new com.adventurer_engine.client.hud.HUDEngine();
  }
}
